Bug 85113 - [CSS Shaders] Make CSS Shaders render to texture framebuffers
: [CSS Shaders] Make CSS Shaders render to texture framebuffers
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Alexandru Chiculita
:
Depends on:
Blocks: 85013
  Show dependency treegraph
 
Reported: 2012-04-27 17:12 PDT by Alexandru Chiculita
Modified: 2012-05-11 12:45 PDT (History)
6 users (show)

See Also:


Attachments
Patch V1 (44.05 KB, patch)
2012-04-27 17:18 PDT, Alexandru Chiculita
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-01 (5.76 MB, application/zip)
2012-04-28 04:27 PDT, WebKit Review Bot
no flags Details
Patch for landing (74.96 KB, patch)
2012-05-11 12:02 PDT, Alexandru Chiculita
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandru Chiculita 2012-04-27 17:12:52 PDT
Make CSS Shaders render to a texture instead of the main framebuffer. We want to use that when integrating into the platform accelerated pipeline.
Comment 1 Alexandru Chiculita 2012-04-27 17:18:51 PDT
Created attachment 139309 [details]
Patch V1
Comment 2 WebKit Review Bot 2012-04-28 04:27:50 PDT
Comment on attachment 139309 [details]
Patch V1

Attachment 139309 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12552566

New failing tests:
css3/filters/custom/custom-filter-shader-cache.html
css3/filters/custom/effect-custom.html
css3/filters/custom/effect-custom-combined-missing.html
Comment 3 WebKit Review Bot 2012-04-28 04:27:56 PDT
Created attachment 139355 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 4 Alexandru Chiculita 2012-04-28 09:22:06 PDT
(In reply to comment #3)
> Created an attachment (id=139355) [details]
> Archive of layout-test-results from ec2-cr-linux-01
> 
> The attached test failures were seen while running run-webkit-tests on the chromium-ews.
> Bot: ec2-cr-linux-01  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick

They just need rebaselines. I will updated them before committing / next patch.
Comment 5 Dean Jackson 2012-04-30 10:44:08 PDT
Comment on attachment 139309 [details]
Patch V1

This all looks good to me. Hopefully Stephen will review soon otherwise I'll do it.
Comment 6 Alexandru Chiculita 2012-04-30 10:52:01 PDT
(In reply to comment #5)
> (From update of attachment 139309 [details])
> This all looks good to me. Hopefully Stephen will review soon otherwise I'll do it.

I just emailed Stephen and he is on vacation.
Comment 7 Dean Jackson 2012-04-30 13:15:24 PDT
Comment on attachment 139309 [details]
Patch V1

Since Stephen is out, I'll r+ here, assuming the chromium rebaseline works. Please speak up if you disagree.
Comment 8 Alexandru Chiculita 2012-04-30 13:40:50 PDT
(In reply to comment #7)
> (From update of attachment 139309 [details])
> Since Stephen is out, I'll r+ here, assuming the chromium rebaseline works. Please speak up if you disagree.

Thanks. Will update and commit later today.
Comment 9 Alexandru Chiculita 2012-05-11 12:02:42 PDT
Created attachment 141463 [details]
Patch for landing
Comment 10 WebKit Review Bot 2012-05-11 12:45:00 PDT
Comment on attachment 141463 [details]
Patch for landing

Clearing flags on attachment: 141463

Committed r116795: <http://trac.webkit.org/changeset/116795>
Comment 11 WebKit Review Bot 2012-05-11 12:45:37 PDT
All reviewed patches have been landed.  Closing bug.